// import QtQuick 2.4 // to target S60 5th Edition or Maemo 5
import QtQuick 2.4
import "trueui"
import Components 1.0
import WorkoutManager 1.0

Item {
    id: root
    clip:false

    property int elapsedTime: aWorkoutRunData.workoutTime + aWorkoutRunData.coolDownTime
    property int numSegments: 10

    property bool isMenuDisplayed: false
    signal action()

    GraphView {
        id: profile1View
        anchors {
            left: parent.left
            leftMargin: 50 * main.hScaleFactor
            right: parent.right
            rightMargin: 50 * main.hScaleFactor
            top: parent.top
            topMargin: 0
            bottom: parent.bottom
            bottomMargin: 0
        }
        model1: workoutProgram.profile1
        model2: workoutProgram.profile2
        columnWidth: root.width/root.numSegments/2.5
        segmentFill: (100 * (root.elapsedTime / model1.segmentDuration)) % 100
        activeSegment: workoutManager.currentSegment

        isMenuDisplayed: root.isMenuDisplayed
        onAction: root.action()
    }
}

