import QtQuick 2.4
import Components 1.0

ModalDialog {
    id: root

    property real oldStride
    property real newStride

    function show() {
        main._dialogShowing = true;
        dialogManager.alertShown(root);

        visible = true;
    }

    function hide() {
        root.stopTimer();
        visible = false;
        main._dialogShowing = false;
        dialogManager.alertHidden(root);
    }

    Column {
        z: root.z + 1
        anchors.fill: parent
        spacing: 10 * main.vScaleFactor
        anchors.topMargin: 35 * main.vScaleFactor

        TextLabel {
            id: strideChangeText
            text: qsTr("STRIDE LENGTH") + application.emptyString
            anchors.horizontalCenter: parent.horizontalCenter
            horizontalAlignment: Text.AlignHCenter
            wrapMode: Text.WordWrap
            width: implicitWidth
            font.pixelSize: 64 * main.vScaleFactor
            isHairline: true
        }

        Text {
            id: strideChangeRangeText
            color: main.colorFontLight
            text: options.metricUnits ? "(33-76)" : "(13-30)"
            anchors.horizontalCenter: parent.horizontalCenter
            horizontalAlignment: Text.AlignHCenter
            wrapMode: Text.WordWrap
            font.pixelSize: 60 * main.vScaleFactor
        }

        Row {
            id: strideChangeIndicator

            property real arrowScale: 1.0

            spacing: 50 * main.hScaleFactor
            anchors.horizontalCenter: parent.horizontalCenter

            NumberLabel {
                id: strideChangeValue
                text: options.metricUnits ? Math.round(Globals.inchToCm(newStride)) : newStride
                font.pixelSize: 60 * main.vScaleFactor
                scale: 140.0/72.0 // max font size is 72, so scale up
                anchors.verticalCenter: parent.verticalCenter
                anchors.verticalCenterOffset: 20 * main.vScaleFactor
            }

            Text {
                id: strideChangeUnits
                color: main.colorFontLight
                text: options.metricUnits ? "cm" : "\""
                font.bold: false
                font.pixelSize: 60 * main.vScaleFactor
                scale: 140.0/72.0 // max font size is 72, so scale up
                anchors.verticalCenter: parent.verticalCenter
                anchors.verticalCenterOffset: 20 * main.vScaleFactor
            }
        }
    }
}
