// import QtQuick 2.4 // to target S60 5th Edition or Maemo 5
import QtQuick 2.4
import ".."
import Components 1.0

Item{
    id: root

    property bool isMenuDisplayed: false
    property bool isMenuMoving: false
    signal action()

    width: 0.74*main.width
    height: 0.65*main.height
    anchors.verticalCenter: parent.verticalCenter
    anchors.horizontalCenter: parent.horizontalCenter

    Connections {
        target: currentViewName === "PROFILE_VIEW" && visible && opacity > 0 ? keymapper : null

        onEnter2Pressed: {
            main.debugKeys("enter2Pressed", "ProfileViewContainer")
            profileContainer.nextTab();
        }
    }

    function shown(){
        // No TV or browser audio when viewing the profile only Bluetooth.
        audioManager.btRequest()
    }

    ProfileContainer {
        id: profileContainer
        visible: true
        width: parent.width
        height: parent.height
        anchors.bottom: parent.bottom
        anchors.horizontalCenter: parent.horizontalCenter

        isMenuDisplayed: root.isMenuDisplayed
        onAction: root.action()
    }

}
