#!/bin/bash
#set -x
# Set LOG_ONLY to true if you don't want the script to actually perform
# the root hub reset.
LOG_ONLY="true"


LOG_FILE="/data/logs/tv_stats.log"

#likely that there are messages in the ringer buffer telling us
#there are errors, clear them out
sudo dmesg -C > /dev/null 2>&1

echo "| $(date "+%D %T:%3N %Z|%s|") USB root hub reset script started" >> $LOG_FILE
if [[ $LOG_ONLY = false ]]; then
  logger "Unbinding Driver for Root Hub"
  echo "1-0:1.0" | sudo tee /sys/bus/usb/drivers/hub/unbind > /dev/null 2>&1
  sleep 5
  logger "Binding Driver for Root Hub"
  echo "1-0:1.0" | sudo tee /sys/bus/usb/drivers/hub/bind > /dev/null 2>&1
  sleep 5  #statements
  echo "| $(date "+%D %T:%3N %Z|%s|") USB root hub reset " >> $LOG_FILE
else
  echo "| $(date "+%D %T:%3N %Z|%s|") USB root hub is logged only " >> $LOG_FILE
fi

#Need the new path of the local hub returned
USB_DEV=$(lsusb -t | grep "Driver=hub/4p")
TOKENS=($USB_DEV)
DEV_NUM=${TOKENS[4]}
DEV_NUM="${DEV_NUM%,}"
#print padded value to variable
printf -v DEV_NUM "%03d" "$DEV_NUM"
printf "/dev/bus/usb/001/%s" "$DEV_NUM"
echo "| $(date "+%D %T:%3N %Z|%s|") USB root hub reset script finished" >> $LOG_FILE
exit 0
